Bug 1479052 - Future-dated subscriptions aren't annotated in the bulk subscriptions dialog
Future-dated subscriptions aren't annotated in the bulk subscriptions dialog
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity low (vote)
: Beta
: --
Assigned To: Partha Aji
jcallaha
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 16:34 EDT by jcallaha
Modified: 2018-02-21 11:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 11:54:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bulk subscriptions (106.18 KB, image/png)
2017-08-07 16:34 EDT, jcallaha
no flags Details
verification screenshot (56.46 KB, image/png)
2018-01-29 12:03 EST, jcallaha
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 21111 None None None 2017-09-26 11:21 EDT

  None (edit)
Description jcallaha 2017-08-07 16:34:37 EDT
Created attachment 1310327 [details]
bulk subscriptions

Description of problem:
When attempting to add bulk subscriptions, in the web ui, future-dated subscriptions aren't annotated as "(future)" like they are in other areas of the ui. see attached

Version-Release number of selected component (if applicable):
Satellite 6.3 Snap 10

How reproducible:
Always

Steps to Reproduce:
1. Upload a manifest with future-dated subscription(s)
2. Register at least one host to the satellite
3. Navigate to Content Hosts page
4. Select at least one content host
5. Click the "Select Action" dropdown and choose "Manage Subscriptions"

Actual results:
Future-dated subscriptions are shown, but not noted that they are "(future)".

Expected results:
Future-dated subscriptions are shown and they are noted that they are "(future)".
Comment 3 Brad Buckingham 2017-09-26 11:21:20 EDT
Created redmine issue http://projects.theforeman.org/issues/21111 from this bug
Comment 4 pm-sat@redhat.com 2017-09-29 12:15:11 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/21111 has been resolved.
Comment 5 jcallaha 2018-01-29 12:03:16 EST
Verified in Satellite 6.3 Snap 33

Future-dated subs are now correctly listed in the bulk subscription dialog. Additionally adding and removing future-dated subscriptions works as expected. See attached screenshot.
Comment 6 jcallaha 2018-01-29 12:03 EST
Created attachment 1387911 [details]
verification screenshot
Comment 7 pm-sat@redhat.com 2018-02-21 11:54:37 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.